Bug 21043 - Use an optional NamedConstructor argument for HTMLAudioElement
Use an optional NamedConstructor argument for HTMLAudioElement
Status: CLOSED WORKSFORME
Product: WHATWG
Classification: Unclassified
Component: HTML
unspecified
PC All
: P2 normal
: Unsorted
Assigned To: Ian 'Hixie' Hickson
contributor
:
Depends on:
Blocks: 21050
  Show dependency treegraph
 
Reported: 2013-02-19 05:42 UTC by Ehsan Akhgari [:ehsan]
Modified: 2013-04-15 21:38 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ehsan Akhgari [:ehsan] 2013-02-19 05:42:40 UTC
This is what the spec currently says:

[NamedConstructor=Audio(),
 NamedConstructor=Audio(DOMString src)]
interface HTMLAudioElement : HTMLMediaElement {};

However, the following equivalent IDL is simpler:

[NamedConstructor=Audio(optional DOMString src)]
interface HTMLAudioElement : HTMLMediaElement {};
Comment 1 Edward O'Connor 2013-02-19 19:22:19 UTC
Ms2ger, we generally clone (not move) bugs between the HTML WG/HTML5 spec and WHATWG/HTML specs. I'll leave this one here and clone it back to where it started.
Comment 2 Ehsan Akhgari [:ehsan] 2013-04-12 19:06:36 UTC
Hrm, not sure what WFM means here :)
Comment 3 Ms2ger 2013-04-12 19:18:14 UTC
The spec currently says:

[NamedConstructor=Audio(optional DOMString src)]

http://www.whatwg.org/html/#the-audio-element
Comment 4 Ehsan Akhgari [:ehsan] 2013-04-12 19:23:52 UTC
Oh, right, sorry I missed that!
Comment 5 Ian 'Hixie' Hickson 2013-04-15 21:38:09 UTC
Yeah I mark bugs WORKSFORME when something else resolved the problem (e.g. I fixed another bug, or just ran across it independently or based on some comment someone made in e-mail or IRC or whatever), so as to not imply that there's a specific patch that one can look for which I made for this bug specifically (which is what I use FIXED for generally).